Ogre::EntityMeshLodChangedEvent Struct Reference
LOD

Struct containing information about a mesh lod change event for entities. More...

`#include <OgreLodListener.h>`

List of all members.

## Public Attributes

Entity * | entity
| The entity whose level of detail has changed.
Camera * | camera
| The camera with respect to which the level of detail has changed.
Real | lodValue
| Lod value as determined by lod strategy.
ushort | previousLodIndex
| Previous level of detail index.
ushort | newLodIndex
| New level of detail index.

## Detailed Description

Struct containing information about a mesh lod change event for entities.

Definition at line 54 of file OgreLodListener.h.

## Member Data Documentation

Camera* Ogre::EntityMeshLodChangedEvent::camera

The camera with respect to which the level of detail has changed.

Definition at line 60 of file OgreLodListener.h.

Entity* Ogre::EntityMeshLodChangedEvent::entity

The entity whose level of detail has changed.

Definition at line 57 of file OgreLodListener.h.

Real Ogre::EntityMeshLodChangedEvent::lodValue

Lod value as determined by lod strategy.

Definition at line 63 of file OgreLodListener.h.

ushort Ogre::EntityMeshLodChangedEvent::newLodIndex

New level of detail index.

Definition at line 69 of file OgreLodListener.h.

ushort Ogre::EntityMeshLodChangedEvent::previousLodIndex

Previous level of detail index.

Definition at line 66 of file OgreLodListener.h.

The documentation for this struct was generated from the following file:

- OgreLodListener.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:30